Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596236 - clvmd initscript doesn't start service if not running in "restart"
Summary: clvmd initscript doesn't start service if not running in "restart"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 12:39 UTC by Milan Broz
Modified: 2013-03-01 04:09 UTC (History)
9 users (show)

Fixed In Version: lvm2-2.02.68-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:07:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Milan Broz 2010-05-26 12:39:42 UTC
Description of problem:

# service clvmd restart
Restarting clvmd:  connect() failed on local socket: Connection refused
                                                           [FAILED]


The whole restart function is wrong

        action "Restarting $DAEMON: " $DAEMON -S || return $?

--> it will never reach this part if clvmd is not running

        # If that fails then do a normal stop & restart
        if  [ $? != 0 ]; then
            stop && start
        else
            touch $LOCK_FILE
        fi

Also it seems that function can return wrong status code if force stop & start fails...

Comment 1 Milan Broz 2010-05-26 12:40:11 UTC
With version lvm2-2.02.66-2.el6.

Comment 4 RHEL Product and Program Management 2010-05-26 13:38:41 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 Milan Broz 2010-06-07 14:31:37 UTC
Fixed upstream (2.02.67).

Comment 6 Corey Marthaler 2010-06-30 20:47:33 UTC
Verified the two restart scenarios (clvmd is already started and clvmd is not already started) in lvm2-cluster-2.02.69-1.el6.x86_64.

[root@taft-01 ~]# service clvmd restart
Restarting clvmd:                                          [  OK  ]

[root@taft-01 ~]# service clvmd stop
Deactivating clustered VG(s):   0 logical volume(s) in volume group "taft" now active
                                                           [  OK  ]
Signaling clvmd to exit                                    [  OK  ]
clvmd terminated                                           [  OK  ]

[root@taft-01 ~]# service clvmd restart
Restarting clvmd:  connect() failed on local socket: Connection refused
                                                           [FAILED]
Starting clvmd:                                            [  OK  ]
Activating VG(s):   1 logical volume(s) in volume group "taft" now active
  3 logical volume(s) in volume group "vg_taft01" now active
                                                           [  OK  ]

Comment 7 releng-rhel@redhat.com 2010-11-10 21:07:55 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.